import { RequestEnvelope } from 'ask-sdk-model';
import { Adapter } from './adapter';
import { VoicePlayerSpeakDirective } from './directives/voicePlayerSpeakDirective';
import { DeviceAddressService } from './services/deviceAddressService';
import { DirectiveService } from './services/directiveService';
import { ListManagementService } from './services/listManagementService';
import { BodyTemplate1Builder } from './templateBuilders/bodyTemplate1Builder';
import { BodyTemplate2Builder } from './templateBuilders/bodyTemplate2Builder';
import { BodyTemplate3Builder } from './templateBuilders/bodyTemplate3Builder';
import { BodyTemplate6Builder } from './templateBuilders/bodyTemplate6Builder';
import { BodyTemplate7Builder } from './templateBuilders/bodyTemplate7Builder';
import { ListItemBuilder } from './templateBuilders/listItemBuilder';
import { ListTemplate1Builder } from './templateBuilders/listTemplate1Builder';
import { ListTemplate2Builder } from './templateBuilders/listTemplate2Builder';
import { ImageUtils } from './utils/imageUtils';
import { TextUtils } from './utils/textUtils';
export { Adapter, StateString, CreateStateHandler } from './adapter';
export { Handler } from './handler';
export { V1Handler } from './v1Handler';
export { ResponseBuilder } from './responseBuilderShim';
export declare function handler(event: RequestEnvelope, context: any, callback?: (err: Error, result?: any) => void): Adapter;
export declare const templateBuilders: {
    BodyTemplate1Builder: typeof BodyTemplate1Builder;
    BodyTemplate2Builder: typeof BodyTemplate2Builder;
    BodyTemplate3Builder: typeof BodyTemplate3Builder;
    BodyTemplate6Builder: typeof BodyTemplate6Builder;
    BodyTemplate7Builder: typeof BodyTemplate7Builder;
    ListItemBuilder: typeof ListItemBuilder;
    ListTemplate1Builder: typeof ListTemplate1Builder;
    ListTemplate2Builder: typeof ListTemplate2Builder;
};
export declare const services: {
    DeviceAddressService: typeof DeviceAddressService;
    DirectiveService: typeof DirectiveService;
    ListManagementService: typeof ListManagementService;
};
export declare const directives: {
    VoicePlayerSpeakDirective: typeof VoicePlayerSpeakDirective;
};
export declare const utils: {
    ImageUtils: typeof ImageUtils;
    TextUtils: typeof TextUtils;
};
