import { services } from 'ask-sdk-model';
import { ApiClient } from './apiClient';
export declare class ListManagementService {
    protected apiClient: ApiClient;
    protected listManagementPath: string;
    protected apiEndpoint: string;
    constructor(apiClient?: ApiClient);
    setApiEndpoint(apiEndpoint: string): void;
    getApiEndpoint(): string;
    getListsMetadata(token: string): Promise<services.listManagement.AlexaListMetadata>;
    createList(listObject: object, token: string): Promise<services.listManagement.AlexaListMetadata>;
    getList(listId: string, itemStatus: string, token: string): Promise<services.listManagement.AlexaList>;
    updateList(listId: string, listObject: object, token: string): Promise<services.listManagement.AlexaListMetadata>;
    deleteList(listId: string, token: string): Promise<void>;
    createListItem(listId: string, listItemObject: object, token: string): Promise<services.listManagement.AlexaListItem>;
    getListItem(listId: string, itemId: string, token: string): Promise<services.listManagement.AlexaListItem>;
    updateListItem(listId: string, itemId: string, listItemObject: object, token: string): Promise<services.listManagement.AlexaListItem>;
    deleteListItem(listId: string, itemId: string, token: string): Promise<void>;
    private buildHeaders;
    private validateApiResponse;
}
