"use strict";
/*
 * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BodyTemplate3Builder = void 0;
const textUtils_1 = require("../utils/textUtils");
class BodyTemplate3Builder {
    constructor() {
        this.template = { type: 'BodyTemplate3' };
    }
    setImage(image) {
        this.template.image = image;
        return this;
    }
    setTextContent(primaryText, secondaryText, tertiaryText) {
        this.template.textContent = textUtils_1.TextUtils.makeTextContent(primaryText, secondaryText, tertiaryText);
        return this;
    }
    setTitle(title) {
        this.template.title = title;
        return this;
    }
    setToken(token) {
        this.template.token = token;
        return this;
    }
    setBackgroundImage(image) {
        this.template.backgroundImage = image;
        return this;
    }
    setBackButtonBehavior(backButtonBehavior) {
        this.template.backButton = backButtonBehavior;
        return this;
    }
    build() {
        return this.template;
    }
}
exports.BodyTemplate3Builder = BodyTemplate3Builder;
//# sourceMappingURL=bodyTemplate3Builder.js.map