"use strict";
/*
 * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListItemBuilder = void 0;
const textUtils_1 = require("../utils/textUtils");
class ListItemBuilder {
    constructor() {
        this.listItems = [];
    }
    addItem(image, token, primaryText, secondaryText, tertiaryText) {
        const listItem = {
            token,
            image,
            textContent: textUtils_1.TextUtils.makeTextContent(primaryText, secondaryText, tertiaryText),
        };
        this.listItems.push(listItem);
        return this;
    }
    build() {
        return this.listItems;
    }
}
exports.ListItemBuilder = ListItemBuilder;
//# sourceMappingURL=listItemBuilder.js.map