"use strict";
/*
 * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageUtils = void 0;
class ImageUtils {
    static makeImage(url, widthPixels, heightPixels, size, description) {
        const imageInstance = {
            url,
            size,
            widthPixels,
            heightPixels,
        };
        const image = {
            sources: [imageInstance],
            contentDescription: description,
        };
        return image;
    }
    static makeImages(imgArr, description) {
        const images = {
            sources: imgArr,
            contentDescription: description,
        };
        return images;
    }
}
exports.ImageUtils = ImageUtils;
//# sourceMappingURL=imageUtils.js.map